from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.frame import XModel2

@runtime_checkable
class XModel3(XModel2, Protocol):
    def getArgs2(self, requestedArgs: sequence< string >) -> list[PropertyValue]: ...
